<?php
session_start();
date_default_timezone_set('America/Lima');
$y=date('Y');
$m=date('m');
$d=date('d');

$fec1="$d-$m-$y";
$fec2="$d-$m-$y";
?>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
					<div class="row">
						
						
						<form id="for_fil_notcre" action="POST">
								
							<div class="row">
								
							<div class=" col-lg-2 col-6 form-group">
								<label>Fecha 1:</label>
							<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
								<input name="txt_fil_notcre_fec1" type="text" id="txt_fil_notcre_fec1" value="<?php echo $fec1?>" class="form-control" >
							</div>
							</div>	
							
							<div class=" col-lg-2 col-6 form-group">
								<label>Fecha 2:</label>
							<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
								<input name="txt_fil_notcre_fec2" type="text" id="txt_fil_notcre_fec2" value="<?php echo $fec2?>" class="form-control" >
							</div>
							</div>
							<!--
							<div class="col-lg-3  col-sm-3 col-6">
								<label for="cmb_fil_empresa_id">Empresa:</label>
								<select name="cmb_fil_empresa_id" id="cmb_fil_empresa_id" class="form-control  input-sm"></select>
							</div>
								-->				
							<div class="col-lg-2 col-sm-6 col-sm-3 col-6">				
								<label for="cmb_fil_puntoventa_id">Punto Venta:</label>
								<select name="cmb_fil_puntoventa_id" id="cmb_fil_puntoventa_id" class="form-control input-sm">
								</select>
													
							</div>

												
							<div class="col-lg-2 col-6">
								<label>Serie/Numero:</label>
								<input type="text" id="txt_fil_docnum" name="txt_fil_docnum" class="form-control  input-sm" /> 
							</div>
							
							<div class="col-lg-2 col-6">
								<label for="cmb_fil_mon_id">Moneda:</label>
								<select name="cmb_fil_mon_id" id="cmb_fil_mon_id" class="form-control">
								</select>    
							</div>
							
							<div class="col-lg-4 col-6">
								<label>Cliente:</label>
								<input type="hidden" id="hdd_fil_cli_id" name="hdd_fil_cli_id" />
								<input type="text" id="txt_fil_cli" name="txt_fil_cli" class="form-control  input-sm" /> 
							</div>
							
							<div class="col-lg-2 col-sm-6 col-6">
								<label>Estado Sunat:</label>
								<select name="cmb_fil_nc_estsun" id="cmb_fil_nc_estsun" style="cursor:pointer;" class="form-control">
									<option value="" selected >TODAS VENTAS</option>
									<option value="1" >ACEPTADA</option>
									<option value="0">NO CDR : ENVIAR DE NUEVO</option>
									<option value="2">RECHAZADA POR SUNAT</option>
								</select>
							</div>
							
							<div class="col-lg-2 col-sm-6 col-6" style="display: inline-block; white-space: nowrap;padding-top:30px;" >
								
								<div class="btn-group">

								<select name="cmb_fil_nc_lim" id="cmb_fil_nc_lim" style="cursor:pointer;" class="form-control">
									<option value=""  >TODAS</option>
									<option value="20" selected >20</option>
									<option value="50">50</option>
									<option value="100">100</option>
									<option value="150">150</option>
								</select>

								<span onClick="notacredito_tabla()" style="cursor:pointer" class="btn btn-primary"><i class="fas fa-search"></i></span>	

								</div>

							</div>
							
						
							
							
							</div>
							
						</form>	
						
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>

<script type="text/javascript">



	 function cmb_empresa_id(empid){
	
	  	$.ajax({
			type: "POST",
			url: "../empresa/cmb_emp_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				emp_id:empid
			}),
			beforeSend: function() {
				$('#cmb_fil_empresa_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){	
			
				$('#cmb_fil_empresa_id').html(html);
				
				
			}
		});		
  
  }
  
  
  cmb_fil_puntoventa_id('');
  
function cmb_fil_puntoventa_id(punven){
		$.ajax({
 					type: "POST",
 					url: "../puntoventa/cmb_punven_id.php",
 					async:true,
 					dataType: "html",                      
 					data: ({						
 						emp_id:'',
						punven_id :punven,
 						vista:	''
 					}),
 					beforeSend: function() {
 						$('#cmb_fil_puntoventa_id').html('<option value="">Cargando...</option>');
 					},
 					success: function(html){			
 						$('#cmb_fil_puntoventa_id').html(html);
 					},
 					complete: function(){
 						
 						}
 					});
}


	function cmb_fil_doc_id()
	{	
		$.ajax({
			type: "POST",
			url: "../documento/cmb_doc_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mod_id:	'3',
				nosel_def : true,
				vista:	'<?php echo $_POST['action']?>'
			}),
			beforeSend: function() {
				$('#cmb_fil_doc_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){			
				$('#cmb_fil_doc_id').html(html);
			}
		});
	}

		function cmb_fil_mon_id(moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../moneda/cmb_mon_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_fil_mon_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_fil_mon_id').html(html);
				//notacredito_tabla();
			}
		});
	}
	


	$(function(){
	
	cmb_fil_mon_id();
	
	cmb_fil_doc_id();
	$('#txt_fil_notcre_fec1, #txt_fil_notcre_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			// notacredito_tabla();
		}); 
		
		
		
	$("#txt_fil_cli" ).autocomplete({
	minLength: 1,
	source: "../cliente/cliente_complete_nom.php",
	select: function(event, ui){
		$("#hdd_fil_cli_id").val(ui.item.id);		
		notacredito_tabla();		
		}
	});

	
	$("#txt_fil_cli").change(function(){
	var cli=$("#txt_fil_cli").val();
	if(cli=="")$("#hdd_fil_cli_id").val('');
	});
	
	$('#cmb_fil_doc_id,#cmb_fil_mon_id,#txt_fil_docnum').change(function(e) {
	notacredito_tabla();
	});	
		
		
		
		
	
	notacredito_tabla();
});	
</script>
